org.richfaces

## Enum JsfVersion

- java.lang.Object
- - java.lang.Enum<JsfVersion>
  - - org.richfaces.JsfVersion

- All Implemented Interfaces:
    Serializable, Comparable<JsfVersion>

      public enum JsfVersion
      extends Enum<JsfVersion>

  This enumeration encapsulates a JSF version used in current context (VM/classloader)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `JSF_2_0`
    `JSF_2_1`
    `JSF_2_2`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JsfVersion` | `getCurrent()` Detects current JSF API version in use in a context of current VM/classloader.
    `boolean` | `isCompliantWith(JsfVersion version)` Checks whether this version of JSF is compliant with the provided version.
    `static JsfVersion` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static JsfVersion[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### JSF_2_0

          public static final JsfVersion JSF_2_0

    - #### JSF_2_1

          public static final JsfVersion JSF_2_1

    - #### JSF_2_2

          public static final JsfVersion JSF_2_2

  - ### Method Detail

    - #### values

          public static JsfVersion[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JsfVersion c : JsfVersion.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JsfVersion valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getCurrent

          public static JsfVersion getCurrent()

      Detects current JSF API version in use in a context of current VM/classloader.
      See Also:
        `for more details how it is detected.`

    - #### isCompliantWith

          public boolean isCompliantWith(JsfVersion version)

      Checks whether this version of JSF is compliant with the provided version.
      Parameters:
        `version` - a version to check compatibility of this version with
      Returns:
        true when this version of JSF is compliant with the provided version; false otherwise.

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.